| CE Gobi SDK 2.7 GobiApi

- Main Page
- Modules
- Classes
- Files

Classes | Macros | Functions
Sierra Wireless M2MAV Service

## Classes
struct | PIFACETable
struct | AudioConfig
struct | PCMIIRFilter
struct | PCMIIRSetConfig
struct | PCMIIRSetCoeff

## Macros
#define | IMPORTGOBI __declspec( dllimport )
#define | GOBICALLBACK __stdcall
#define | GOBICMAPI __stdcall
#define | MAX_PIFACE_TABLE_SIZE 9

## Functions
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetProfile (BYTE *pGenerator, BYTE *pProfile, BYTE *pEarMute, BYTE *pMicMute, BYTE *pOutGenerator, BYTE *pVolume, BYTE *pCwtMute)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetProfile (BYTE *pProfile, BYTE *pEarMute, BYTE *pMicMute, BYTE *pGenerator, BYTE *pVolume, BYTE *pCwtMute)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetVolume (BYTE *pProfile, BYTE *pGenerator, BYTE *pVolume)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetVolume (BYTE *pProfile, BYTE *pGenerator, BYTE *pVolume)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetAVMute (BYTE *pProfile, BYTE *pEarMute, BYTE *pMicMute, BYTE *pcwtMute)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetAVMute (BYTE *pProfile, BYTE *pEarMute, BYTE *pMicMute, BYTE *pcwtMute)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetAVCFG (BYTE *pAudioProfile, BYTE *pABCDDevice, BYTE *pPIFACEID, PIFACETable *pPIFACETable)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetAVCFG (AudioConfig *pAudioConfig, BYTE *pSize)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioNVDef ()
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetLPBK (BYTE *pEnable)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetSpeakerGain (BYTE *pProfile, USHORT *pSpkrGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetSpeakerGain (BYTE *pProfile, USHORT *pSpkrGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetSTG (BYTE *pProfile, WORD *pGainValue)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetSTG (BYTE *pProfile, WORD *pGainValue)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetTxVolume (BYTE *pProfile, WORD *pTxVolume)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetTxVolume (BYTE *pProfile, WORD *pTxVolume)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetMicGain (BYTE *pProfile, WORD *pMicGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetMicGain (BYTE *pProfile, WORD *pMicGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetVolDB (BYTE *pProfile, BYTE *pGenerator, BYTE *pLevel, WORD *pValue)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetVolDB (BYTE *pProfile, BYTE *pGenerator, BYTE *pLevel, WORD *pValue)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetAVTXG (BYTE *pProfile, WORD *pEncoderGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetAVTXG (BYTE *pProfile, WORD *pEncoderGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetAVRXG (BYTE *pProfile, WORD *pDecoderGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetAVRXG (BYTE *pProfile, WORD *pDecoderGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetAVEC (BYTE *pProfile, BYTE *pSwitch)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetAVEC (BYTE *pProfile, BYTE *pSwitch)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetAVNS (BYTE *pProfile, BYTE *pSwitch)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetAVNS (BYTE *pProfile, BYTE *pSwitch)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioPlayTone (BYTE *pGenerator, BYTE *pAudioTone, USHORT *pToneDuration)

## Detailed Description

## Function Documentation

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioGetProfile | ( | BYTE * | pGenerator,
|  | BYTE * | pProfile,
|  | BYTE * | pEarMute,
|  | BYTE * | pMicMute,
|  | BYTE * | pOutGenerator,
|  | BYTE * | pVolume,
|  | BYTE * | pCwtMute
| ) |  |

The message requests to get the profile content. It is similar with at!avsetprofile?[<generator>] QMI_SWI_M2M_AUDIO_GET_PROFILE 0x01

Parameters

  pGenerator | [ I ] - Generator 0:Voice
  pProfile | [ I ] Audio Profile
  pEarMute | [ O ] Ear mute 0:Mute 1:Unmute
  pMicMute | [ O ] Mic Mute 0:Mute 1:Unmute
  pOutGenerator | [ O ] Generator 0:Voice
  pVolume | [ O ] RX volume level 0-5
  pCwtMute | [ O ] Call waiting tone mute 0:Mute 1:Unmute

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioGetVolume | ( | BYTE * | pProfile,
|  | BYTE * | pGenerator,
|  | BYTE * | pVolume
| ) |  |

The message requests to get the RX volume level. It is similar with at!avsetvol?<profile>,<generator> QMI_SWI_M2M_AUDIO_GET_VOLUME 0x03

Parameters

  pProfile | [ I ] - Audio profile 0-5
  pGenerator | [ I ] - Generator 0:Voice
  pVolume | [ O ] - RX volume level 0-5

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetProfile | ( | BYTE * | pProfile,
|  | BYTE * | pEarMute,
|  | BYTE * | pMicMute,
|  | BYTE * | pGenerator,
|  | BYTE * | pVolume,
|  | BYTE * | pCwtMute
| ) |  |

The message requests to set the profile content. It is similar with at!avsetprofile=<profile>[,<earmute>,<micmute>,<generator>, <volume>[,<cwtmute>]]. This command is used to select a profile with which to establish a circuit-switched call. It will also change ACDB device and PIFACE which bind to this profile. The profile selection is persistent. QMI_SWI_M2M_AUDIO_SET_PROFILE 0x02

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pEarMute | [ I ] - Ear mute 0:Mute 1:Unmute
  pMicMute | [ I ] - Mic mute 0:Mute 1:Unmute
  pGenerator | [ I ] - Generator 0:Voice
  pVolume | [ I ] - RX volume level 0-5
  pCwtMute | [ I ] - Call waiting tone mute 0:Mute 1:Unmute

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetVolume | ( | BYTE * | pProfile,
|  | BYTE * | pGenerator,
|  | BYTE * | pVolume
| ) |  |

The message requests to set the RX volume level. It is similar with at!avsetvol=<profile>,<generator>,<level>. This command selects the RX volume level to be used with the selected audio profile. This setting is stored in non-volatile memory and persists across power cycles. QMI_SWI_M2M_AUDIO_SET_VOLUME 0x04

Parameters

  pProfile | [ I ] - Audio profile 0-5
  pGenerator | [ I ] - Generator 0:Voice
  pVolume | [ I ] - RX volume level 0-5

Returns
  See GobiErrorCodes.h